Bug 524767 - ppp doesn't update resolv.conf
Summary: ppp doesn't update resolv.conf
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 537526
TreeView+ depends on / blocked
 
Reported: 2009-09-22 06:00 UTC by Hicham HAOUARI
Modified: 2014-11-09 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-26 20:32:41 UTC


Attachments (Terms of Use)

Description Hicham HAOUARI 2009-09-22 06:00:50 UTC
Description of problem:
ppp doesn't update resolv.conf when connection is established

Version-Release number of selected component (if applicable):
2.4.4-11.fc11

How reproducible:
Always

Steps to Reproduce:
1. Establish a connection using ppp
2. Check the contents of /etc/resolv.conf
3. "rm -f /etc/resolv.conf && ln -s /var/run/ppp/resolv.conf /etc/resolv.conf" to be able to browse the internet
  
Actual results:
no /etc/resolv.conf update

Expected results:
updated /etc/resolv.conf on each successful connection

Additional info:

Comment 1 Jiri Skala 2009-09-29 18:56:39 UTC
Hi,
how do you establish ppp connection? (NetworkManager, pppd call <script>, ...)

Jiri

Comment 2 Hicham HAOUARI 2009-10-01 13:25:59 UTC
to establish a connection, here is what i do :

pkill NetworkManager
br2684ctl -c 0 -b -a 8.35
ifconfig nas0 up
pppd call menara-adsl
rm -f /etc/resolv.conf
ln -s /var/run/ppp/resolv.conf /etc/resolv.conf

I have an PPPoE ADSL Connection using the USB Modem Sagem Fast 800 ( based on Eagle IV chipset ).

I didn't have this pb with Ubuntu or Mandriva, so I think it is a Fedora Patch that is creating this behavior.

Comment 3 Jiri Skala 2009-10-01 15:00:23 UTC
well, pppd call .... invokes /etc/ppp/ip-up that tries to invoke /etc/ppp/ip-up.local that executes update of /etc/resolve.conf.

The ip-up.local is not installed by default you can find sample in:

/usr/share/doc/ppp-2.4.4/scripts/ip-up.local.add

I had to modify it for my test connection with Nokia mobile - you can see it in #517470.

Perhaps I describe you well-known thing but I shouldn't avoid elementary things.

Jiri

Comment 4 Hicham HAOUARI 2009-10-02 12:48:44 UTC
I didn't go through all the scripts but why should ppp write its dns information in /var/run/ppp/resolv.conf and not directly to /etc/resolv.conf ?

Comment 5 Jiri Skala 2009-10-02 13:43:04 UTC
Hi,
I'm not ppp maintainer so long to be able to answer it BUT I suppose that the main reason is to give a possibility make custom /etc/reslov.conf and after dis-connection restore original one.

I tested NetworkManager that updates /etc/resolv.conf and I made also scripts to connect via ppp and then I had to take care about /etc/resolv.conf too. I suppose it was an intention of developers.

Jiri

Comment 6 Jiri Skala 2009-11-26 20:32:41 UTC
I've investigated it a bit. This is really an intention of ppp to write proper resolv.conf. The mandatory option to create proper resolv.conf is 'usepeerdns'

If you use pppd daemon to create ppp connection the daemon calls /etc/ppp/ip-up script. This tries to invoke ip-up.local script but the one is not initially installed on right place. You should copy this from /usr/share/doc/ppp-2.4.?/scripts/ip-up.local.add. This script provides update of /etc/resolv.conf.

Don't forget on up-down.... part.

I tested it and it works fine.

Jiri

Comment 7 Hicham HAOUARI 2009-12-04 00:23:57 UTC
i use usepeersdns in config file, and no auto-upadate of resolv.conf

why the script ip-up.local is not installed in the right place? what is the point ?

forgive me if i didn't understand well :)

Comment 8 Jiri Skala 2009-12-04 10:40:10 UTC
I've checked for default installation on Ubuntu and there isn't ip-up.local installed into /etc/... too! (you've mentioned Ubuntu in commend #2)

There is only one difference between distros - which package owns ip-up(down). There is an owner ppp in Ubuntu and initscripts in the case of Fedora.

Did you try to copy ip-up.locoal? What results?

Jiri


Note You need to log in before you can comment on or make changes to this bug.